package cn.com.poc.thirdparty.resource.demand.dgTools.request;

public class AbstractParam<T> {

    /**
     * 签名
     */
    private String sign;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     *
     */
    private T businessEntity;

    /**
     * 交易商户
     */
    private String acctId;

    public String getAcctId() {
        return acctId;
    }

    public void setAcctId(String acctId) {
        this.acctId = acctId;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public T getBusinessEntity() {
        return businessEntity;
    }

    public void setBusinessEntity(T businessEntity) {
        this.businessEntity = businessEntity;
    }

}
